# parsl.app.app.AppBase

class parsl.app.app.AppBase(func: Callable, data_flow_kernel: DataFlowKernel | None = None, executors: List[str] | Literal['all'] = 'all', cache: bool = False, ignore_for_cache: Sequence[str] | None = None)

  This is the base class that defines the two external facing functions that an App must define.

  The __init__ () which is called when the interpreter sees the definition of the decorated function, and the __call__ () which is invoked when a decorated function is called by the user.

  __init__(func: Callable, data_flow_kernel: DataFlowKernel | None = None, executors: List[str] | Literal['all'] = 'all', cache: bool = False, ignore_for_cache: Sequence[str] | None = None) → None

    Construct the App object.

    Parameters:

      func (-) – Takes the function to be made into an App

    Kwargs:

      - data_flow_kernel (DataFlowKernel): The `DataFlowKernel` responsible for managing this app. This can be omitted only after calling `parsl.dataflow.dflow.DataFlowKernelLoader.load()`.

      - executors (str|list) : Labels of the executors that this app can execute over. Default is ‘all’.

      - cache (Bool) : Enable caching of this app ?

      - ignore_for_cache (sequence|None): Names of arguments which will be ignored by the caching mechanism.

    Returns:

      - App object.

  Methods

  `__init__`(func[, data_flow_kernel, ...]) | Construct the App object.